DSECRG Advisories

[ERPSCAN-12-036] SAP XI – authentication bypass

Application: SAP NetWeaver XI
Versions Affected: SAP NetWeaver
Vendor URL: http://www.sap.com
Bugs: Security Bypass
Exploits: YES
Reported: 21.03.2011
Vendor response: 22.03.2011
Date of Public Advisory: 11.09.2012
Reference: SAP Security Note 1707494
Authors: Alexander Polyakov, Alexey Tyurin, Alexandr Minozhenko (ERPScan)

SAP NetWeaver XI SOAP Adapter (com.sap.aii.af.mp.soap.web.DilbertMSG) is vulnerable to unauthorized access and XXE vulnerability.

Business Risk
By exploiting this vulnerability, an internal or external attacker will be able to access any files located in the SAP server file system. With the help of this access it is possible to obtain sensitive technical and business-related information stored in the vulnerable SAP system.


To prevent this issue as well as a plethora of other vulnerabilities that may affect your systems, ERPScan provides the following services: